#!/usr/bin/make -f

# This script uses debhelper by Joey Hess
#export DH_VERBOSE=1

include /usr/share/quilt/quilt.make

build: build-stamp
build-stamp: $(QUILT_STAMPFN)
	dh_testdir
# The configure script is a mess. For now, build manually.
	$(CXX) $(CXXFLAGS) -Wno-write-strings -o nighthawk \
           src/floor.cc src/object.cc src/misc.cc src/nighthawk.cc src/ship.cc \
           -lXpm -lX11 -DVERSION=\"2.3\"
	cp INSTALL README
	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f nighthawk README
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_install nighthawk usr/games
	dh_install data usr/share/games/nighthawk -XMakefile
	dh_install debian/nighthawk.desktop usr/share/applications

binary:	binary-indep binary-arch

binary-indep:
# Nothing to do here.

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs README
	dh_installmenu
	dh_installman debian/nighthawk.6
	dh_desktop
	dh_fixperms
# Make nighthawk set-group-id games, so it can keep a global score file
	chown root:games debian/nighthawk/usr/games/nighthawk
	chmod g+s debian/nighthawk/usr/games/nighthawk
	dh_strip
	dh_compress
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


.PHONY: build clean binary binary-indep binary-arch
